import classNames from "classnames";
import React from "react";
export function TabNode(props) {
    var prefixCls = props.prefixCls, className = props.className, tabKey = props.tabKey, style = props.style, _a = props.active, active = _a === void 0 ? false : _a, _b = props.disabled, disabled = _b === void 0 ? false : _b, children = props.children, tabIndex = props.tabIndex;
    var classString = classNames(prefixCls + "-tab", className, {
        active: active,
        disabled: disabled
    });
    function handleClick(event) {
        if (!disabled && props.onClick) {
            props.onClick(tabKey, event);
        }
    }
    function handleKeyPress(event) {
        if (event.keyCode === 32) {
            handleClick(event);
        }
    }
    return (React.createElement("div", { role: "tab", "data-tab-key": tabKey, style: style, className: classString, "aria-selected": active, "aria-disabled": disabled, tabIndex: tabIndex, onClick: handleClick, onKeyPress: handleKeyPress }, children));
}
export default React.memo(TabNode);
//# sourceMappingURL=TabNode.js.map